## DMS Swi Set USB Composition request DMS Swi Set USB Composition request |

## Functions

QmiMessageDmsSwiSetUsbCompositionInput * | qmi_message_dms_swi_set_usb_composition_input_new ()
QmiMessageDmsSwiSetUsbCompositionInput * | qmi_message_dms_swi_set_usb_composition_input_ref ()
void | qmi_message_dms_swi_set_usb_composition_input_unref ()
gboolean | qmi_message_dms_swi_set_usb_composition_input_get_current ()
gboolean | qmi_message_dms_swi_set_usb_composition_input_set_current ()
QmiMessageDmsSwiSetUsbCompositionOutput * | qmi_message_dms_swi_set_usb_composition_output_ref ()
void | qmi_message_dms_swi_set_usb_composition_output_unref ()
gboolean | qmi_message_dms_swi_set_usb_composition_output_get_result ()
void | qmi_client_dms_swi_set_usb_composition ()
QmiMessageDmsSwiSetUsbCompositionOutput * | qmi_client_dms_swi_set_usb_composition_finish ()

## Types and Values

| QmiMessageDmsSwiSetUsbCompositionInput
| QmiMessageDmsSwiSetUsbCompositionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSwiSetUsbCompositionInput
        ╰── QmiMessageDmsSwiSetUsbCompositionOutput

## Description

## Functions

### qmi_message_dms_swi_set_usb_composition_input_new ()

    QmiMessageDmsSwiSetUsbCompositionInput *
    qmi_message_dms_swi_set_usb_composition_input_new
                                   (void);

Allocates a new QmiMessageDmsSwiSetUsbCompositionInput.

#### Returns

the newly created QmiMessageDmsSwiSetUsbCompositionInput. The returned value should be freed with `qmi_message_dms_swi_set_usb_composition_input_unref()`.

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_input_ref ()

    QmiMessageDmsSwiSetUsbCompositionInput *
    qmi_message_dms_swi_set_usb_composition_input_ref
                                   (QmiMessageDmsSwiSetUsbCompositionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionInput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_input_unref ()

    void
    qmi_message_dms_swi_set_usb_composition_input_unref
                                   (QmiMessageDmsSwiSetUsbCompositionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionInput. |

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_input_get_current ()

    gboolean
    qmi_message_dms_swi_set_usb_composition_input_get_current
                                   (QmiMessageDmsSwiSetUsbCompositionInput *self,
                                    QmiDmsSwiUsbComposition *value_current,
                                    GError **error);

Get the 'Current' field from `self` .

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionInput. |
value_current | a placeholder for the output QmiDmsSwiUsbComposition, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_input_set_current ()

    gboolean
    qmi_message_dms_swi_set_usb_composition_input_set_current
                                   (QmiMessageDmsSwiSetUsbCompositionInput *self,
                                    QmiDmsSwiUsbComposition value_current,
                                    GError **error);

Set the 'Current' field in the message.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionInput. |
value_current | a QmiDmsSwiUsbComposition. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_output_ref ()

    QmiMessageDmsSwiSetUsbCompositionOutput *
    qmi_message_dms_swi_set_usb_composition_output_ref
                                   (QmiMessageDmsSwiSetUsbCompositionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionOutput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_output_unref ()

    void
    qmi_message_dms_swi_set_usb_composition_output_unref
                                   (QmiMessageDmsSwiSetUsbCompositionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionOutput. |

Since: 1.20

### qmi_message_dms_swi_set_usb_composition_output_get_result ()

    gboolean
    qmi_message_dms_swi_set_usb_composition_output_get_result
                                   (QmiMessageDmsSwiSetUsbCompositionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSwiSetUsbCompositionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.20

### qmi_client_dms_swi_set_usb_composition ()

    void
    qmi_client_dms_swi_set_usb_composition
                                   (QmiClientDms *self,
                                    QmiMessageDmsSwiSetUsbCompositionInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Swi Set USB Composition request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_swi_set_usb_composition_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSwiSetUsbCompositionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.20

### qmi_client_dms_swi_set_usb_composition_finish ()

    QmiMessageDmsSwiSetUsbCompositionOutput *
    qmi_client_dms_swi_set_usb_composition_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_swi_set_usb_composition()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_swi_set_usb_composition()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSwiSetUsbCompositionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_swi_set_usb_composition_output_unref()`.

Since: 1.20

## Types and Values

### QmiMessageDmsSwiSetUsbCompositionInput

    typedef struct _QmiMessageDmsSwiSetUsbCompositionInput QmiMessageDmsSwiSetUsbCompositionInput;

The QmiMessageDmsSwiSetUsbCompositionInput structure contains private data and should only be accessed using the provided API.

Since: 1.20

### QmiMessageDmsSwiSetUsbCompositionOutput

    typedef struct _QmiMessageDmsSwiSetUsbCompositionOutput QmiMessageDmsSwiSetUsbCompositionOutput;

The QmiMessageDmsSwiSetUsbCompositionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.20